import { AuditCoreProperty } from '../../API';
import { CRUDService, ICrudService } from '../../core';
export declare class AuditCorePropertyService extends CRUDService<AuditCoreProperty> {
    protected hasOneModels: ICrudService<AuditCoreProperty>['hasOneModels'];
    protected hasManyModels: ICrudService<AuditCoreProperty>['hasManyModels'];
    get get(): (id: string, options?: Omit<import("@apollo/client").QueryOptions<import("../../API").Exact<{
        id: string;
    }>, import("../../API").GetAuditCorePropertyQuery>, "query">) => Promise<{
        __typename?: "AuditCoreProperty";
        id: string;
        tier?: number;
        propertyName: string;
        blankPercent?: number;
        filledPercent?: number;
        propertyOptionID: string;
        integrationInstanceID: string;
        propertyType?: string;
        propertyOption: {
            __typename?: "PropertyOption";
            id: string;
            name?: string;
            objectType: import("../../API").PropertyType;
            objectKey: string;
        };
        integrationInstance: {
            __typename?: "IntegrationInstance";
            authenticated?: boolean;
            enabled?: boolean;
            id: string;
            name: string;
            integrationDocumentID?: string;
            integrationDocument: {
                __typename?: "IntegrationDocument";
                active?: boolean;
                id: string;
                name: string;
                authenticated: boolean;
                enabled: boolean;
            };
        };
    }>;
    get useGet(): (options: import("../../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").GetAuditCorePropertyQuery, import("../../API").Exact<{
        id: string;
    }>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../../API").GetAuditCorePropertyQuery, import("../../API").Exact<{
            id: string;
        }>>;
        data: import("../../API").GetAuditCorePropertyQuery;
        previousData?: import("../../API").GetAuditCorePropertyQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../../API").Exact<{
            id: string;
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../../API").GetAuditCorePropertyQuery, TSubscriptionVariables = import("../../API").Exact<{
            id: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../../API").GetAuditCorePropertyQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../../API").Exact<{
            id: string;
        }>>(mapFn: (previousQueryResult: import("../../API").GetAuditCorePropertyQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../../API").GetAuditCorePropertyQuery>, "variables">) => import("../../API").GetAuditCorePropertyQuery) => void;
        refetch: (variables?: Partial<import("../../API").Exact<{
            id: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../../API").GetAuditCorePropertyQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../../API").Exact<{
            id: string;
        }>, import("../../API").GetAuditCorePropertyQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../../API").GetAuditCorePropertyQuery>>;
        fetchMore: <TFetchData = import("../../API").GetAuditCorePropertyQuery, TFetchVars = import("../../API").Exact<{
            id: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../../API").GetAuditCorePropertyQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../../API").GetAuditCorePropertyQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get create(): (input: Partial<Record<"categories", import("../../../..").ModelWithId[]> & Record<import("../../core").HasOneRelationsOf<AuditCoreProperty>, import("../../../..").ModelWithId>> & Omit<import("../../API").CreateAuditCorePropertyInput, "categories" | import("../../core").HasOneRelationsOf<AuditCoreProperty>>, options?: import("../../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").AuditCorePropertyCreateOneMutation, import("../../API").Exact<{
        input: import("../../API").CreateAuditCorePropertyInput;
    }>>>) => Promise<{
        __typename?: "AuditCoreProperty";
        id: string;
        tier?: number;
        propertyName: string;
        blankPercent?: number;
        filledPercent?: number;
        propertyOptionID: string;
        integrationInstanceID: string;
        propertyType?: string;
        propertyOption: {
            __typename?: "PropertyOption";
            id: string;
            name?: string;
            objectType: import("../../API").PropertyType;
            objectKey: string;
        };
        integrationInstance: {
            __typename?: "IntegrationInstance";
            authenticated?: boolean;
            enabled?: boolean;
            id: string;
            name: string;
            integrationDocumentID?: string;
            integrationDocument: {
                __typename?: "IntegrationDocument";
                active?: boolean;
                id: string;
                name: string;
                authenticated: boolean;
                enabled: boolean;
            };
        };
    }>;
    get delete(): (id: string, options?: import("../../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").AuditCorePropertyDeleteOneMutation, import("../../API").Exact<{
        input: import("../../API").DeleteOneInput;
    }>>>) => Promise<{
        __typename?: "AuditCoreProperty";
        id: string;
    }>;
    get list(): (input: import("../../API").Exact<{
        filter?: import("../../API").AuditCorePropertyFilter;
        paging?: import("../../API").CursorPaging;
        sorting?: import("../../API").AuditCorePropertySort | import("../../API").AuditCorePropertySort[];
    }>, options?: import("../../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").AuditCorePropertyListQuery, import("../../API").Exact<{
        filter?: import("../../API").AuditCorePropertyFilter;
        paging?: import("../../API").CursorPaging;
        sorting?: import("../../API").AuditCorePropertySort | import("../../API").AuditCorePropertySort[];
    }>>>) => Promise<{
        __typename?: "AuditCorePropertyConnection";
        totalCount: number;
        edges: {
            __typename?: "AuditCorePropertyEdge";
            cursor: any;
            node: {
                __typename?: "AuditCoreProperty";
                id: string;
                tier?: number;
                propertyName: string;
                blankPercent?: number;
                filledPercent?: number;
                propertyOptionID: string;
                integrationInstanceID: string;
                propertyType?: string;
                propertyOption: {
                    __typename?: "PropertyOption";
                    id: string;
                    name?: string;
                    objectType: import("../../API").PropertyType;
                    objectKey: string;
                };
                integrationInstance: {
                    __typename?: "IntegrationInstance";
                    authenticated?: boolean;
                    enabled?: boolean;
                    id: string;
                    name: string;
                    integrationDocumentID?: string;
                    integrationDocument: {
                        __typename?: "IntegrationDocument";
                        active?: boolean;
                        id: string;
                        name: string;
                        authenticated: boolean;
                        enabled: boolean;
                    };
                };
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            hasNextPage?: boolean;
            startCursor?: any;
            endCursor?: any;
            hasPreviousPage?: boolean;
        };
    }>;
    get useList(): (options: import("../../core").CacheUpdateOptions<import("../../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").AuditCorePropertyListQuery, import("../../API").Exact<{
        filter?: import("../../API").AuditCorePropertyFilter;
        paging?: import("../../API").CursorPaging;
        sorting?: import("../../API").AuditCorePropertySort | import("../../API").AuditCorePropertySort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../../API").AuditCorePropertyListQuery, import("../../API").Exact<{
            filter?: import("../../API").AuditCorePropertyFilter;
            paging?: import("../../API").CursorPaging;
            sorting?: import("../../API").AuditCorePropertySort | import("../../API").AuditCorePropertySort[];
        }>>;
        data: import("../../API").AuditCorePropertyListQuery;
        previousData?: import("../../API").AuditCorePropertyListQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../../API").Exact<{
            filter?: import("../../API").AuditCorePropertyFilter;
            paging?: import("../../API").CursorPaging;
            sorting?: import("../../API").AuditCorePropertySort | import("../../API").AuditCorePropertySort[];
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../../API").AuditCorePropertyListQuery, TSubscriptionVariables = import("../../API").Exact<{
            filter?: import("../../API").AuditCorePropertyFilter;
            paging?: import("../../API").CursorPaging;
            sorting?: import("../../API").AuditCorePropertySort | import("../../API").AuditCorePropertySort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../../API").AuditCorePropertyListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../../API").Exact<{
            filter?: import("../../API").AuditCorePropertyFilter;
            paging?: import("../../API").CursorPaging;
            sorting?: import("../../API").AuditCorePropertySort | import("../../API").AuditCorePropertySort[];
        }>>(mapFn: (previousQueryResult: import("../../API").AuditCorePropertyListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../../API").AuditCorePropertyListQuery>, "variables">) => import("../../API").AuditCorePropertyListQuery) => void;
        refetch: (variables?: Partial<import("../../API").Exact<{
            filter?: import("../../API").AuditCorePropertyFilter;
            paging?: import("../../API").CursorPaging;
            sorting?: import("../../API").AuditCorePropertySort | import("../../API").AuditCorePropertySort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../../API").AuditCorePropertyListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../../API").Exact<{
            filter?: import("../../API").AuditCorePropertyFilter;
            paging?: import("../../API").CursorPaging;
            sorting?: import("../../API").AuditCorePropertySort | import("../../API").AuditCorePropertySort[];
        }>, import("../../API").AuditCorePropertyListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../../API").AuditCorePropertyListQuery>>;
        fetchMore: <TFetchData = import("../../API").AuditCorePropertyListQuery, TFetchVars = import("../../API").Exact<{
            filter?: import("../../API").AuditCorePropertyFilter;
            paging?: import("../../API").CursorPaging;
            sorting?: import("../../API").AuditCorePropertySort | import("../../API").AuditCorePropertySort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../../API").AuditCorePropertyListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../../API").AuditCorePropertyListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useQueryObjects(): (options?: import("../../core").CacheUpdateOptions<import("../../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").GetAuditObjectListQueryQuery, import("../../API").Exact<{
        integrationInstanceID: string;
        objectType: import("../../API").AuditRecordTypes;
        organizationID: string;
        skip: number;
        take: number;
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../../API").GetAuditObjectListQueryQuery, import("../../API").Exact<{
            integrationInstanceID: string;
            objectType: import("../../API").AuditRecordTypes;
            organizationID: string;
            skip: number;
            take: number;
        }>>;
        data: import("../../API").GetAuditObjectListQueryQuery;
        previousData?: import("../../API").GetAuditObjectListQueryQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../../API").Exact<{
            integrationInstanceID: string;
            objectType: import("../../API").AuditRecordTypes;
            organizationID: string;
            skip: number;
            take: number;
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../../API").GetAuditObjectListQueryQuery, TSubscriptionVariables = import("../../API").Exact<{
            integrationInstanceID: string;
            objectType: import("../../API").AuditRecordTypes;
            organizationID: string;
            skip: number;
            take: number;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../../API").GetAuditObjectListQueryQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../../API").Exact<{
            integrationInstanceID: string;
            objectType: import("../../API").AuditRecordTypes;
            organizationID: string;
            skip: number;
            take: number;
        }>>(mapFn: (previousQueryResult: import("../../API").GetAuditObjectListQueryQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../../API").GetAuditObjectListQueryQuery>, "variables">) => import("../../API").GetAuditObjectListQueryQuery) => void;
        refetch: (variables?: Partial<import("../../API").Exact<{
            integrationInstanceID: string;
            objectType: import("../../API").AuditRecordTypes;
            organizationID: string;
            skip: number;
            take: number;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../../API").GetAuditObjectListQueryQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../../API").Exact<{
            integrationInstanceID: string;
            objectType: import("../../API").AuditRecordTypes;
            organizationID: string;
            skip: number;
            take: number;
        }>, import("../../API").GetAuditObjectListQueryQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../../API").GetAuditObjectListQueryQuery>>;
        fetchMore: <TFetchData = import("../../API").GetAuditObjectListQueryQuery, TFetchVars = import("../../API").Exact<{
            integrationInstanceID: string;
            objectType: import("../../API").AuditRecordTypes;
            organizationID: string;
            skip: number;
            take: number;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../../API").GetAuditObjectListQueryQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../../API").GetAuditObjectListQueryQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    addToPropertyCategory(categoryId: string, corePropertyIds: string[]): Promise<import("@apollo/client").FetchResult<import("../../API").AddCorePropertiesToPropertyCategoryMutation>>;
}
